## org.eclipse.datatools.sqltools.common.ui.preferences
Interface IDataServerPreferenceSection

All Known Subinterfaces:
  IDataServerLaunchPreferenceSection

    public interface IDataServerPreferenceSection

This section will appear inside a preference page as a Tab for data servers to provide vendor specific preferences. The implementation should be contributed in via the preferenceSections extension point.

Author:
  Dafan Yang, Hui Cao

Method Summary
`org.eclipse.swt.widgets.Composite` `createSectionComposite(org.eclipse.swt.widgets.Composite parent)` create the UI section's composite.
`org.eclipse.swt.widgets.Composite` `getSectionComposite()` get the UI section's composite
`org.eclipse.core.runtime.IStatus` `getStatus()` get the validation status of this section.
`void` `loadDefaultPreference(org.eclipse.jface.preference.IPreferenceStore store)` load default preferences to this UI section
`void` `loadFromPreferenceStore(org.eclipse.jface.preference.IPreferenceStore store)` load preferences to this UI section
`void` `saveToPreferenceStore(org.eclipse.jface.preference.IPreferenceStore store)` save the UI section's status to preference store

Method Detail

### loadDefaultPreference

    void loadDefaultPreference(org.eclipse.jface.preference.IPreferenceStore store)

  load default preferences to this UI section

  Parameters:
    `store` -

### saveToPreferenceStore

    void saveToPreferenceStore(org.eclipse.jface.preference.IPreferenceStore store)

  save the UI section's status to preference store

  Parameters:
    `store` -

### loadFromPreferenceStore

    void loadFromPreferenceStore(org.eclipse.jface.preference.IPreferenceStore store)

  load preferences to this UI section

  Parameters:
    `store` -

### getSectionComposite

    org.eclipse.swt.widgets.Composite getSectionComposite()

  get the UI section's composite

  Returns:

### createSectionComposite

    org.eclipse.swt.widgets.Composite createSectionComposite(org.eclipse.swt.widgets.Composite parent)

  create the UI section's composite. Implementing classes should call createSectionComposite first before calling other APIs

  Returns:

### getStatus

    org.eclipse.core.runtime.IStatus getStatus()

  get the validation status of this section.

  Returns: